## nvidia-graphics-drivers-570-server 570.86.15

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.24.04.4) noble; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:49:03 +0100
