=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.86.15-1),
- nvidia-dkms-570-server (>= 570.86.15),
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
+ nvidia-dkms-570-server (<= 570.124.06-1),
+ nvidia-dkms-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -57,6 +57,7 @@
  nvidia-settings, nvidia-prime (>= 0.8)
 XB-Modaliases: ${modaliases}
 XB-PmAliases: ${nvidia:pm-modaliases}
+XB-Prefer-Variant: Open
 XB-Support: PB
 Description: NVIDIA Server Driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
@@ -92,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.86.15-1),
- nvidia-kernel-source-570-server (>= 570.86.15),
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
- nvidia-firmware-570-server-570.86.15,
+ nvidia-kernel-source-570-server (<= 570.124.06-1),
+ nvidia-kernel-source-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-firmware-570-server-570.124.06,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -182,8 +183,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.86.15-1),
- nvidia-kernel-common-570-server (>= 570.86.15),
+ nvidia-kernel-common-570-server (<= 570.124.06-1),
+ nvidia-kernel-common-570-server (>= 570.124.06),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -220,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.86.15
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.124.06
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -231,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.86.15
+Package: nvidia-firmware-570-server-570.124.06
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.86.15
-Replaces:
- nvidia-firmware-570-570.86.15
+ nvidia-firmware-570-570.124.06
+Replaces:
+ nvidia-firmware-570-570.124.06
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -335,4 +336,3 @@
  libnvidia-fbc1,
 Replaces:
  libnvidia-fbc1,
-Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
