## nvidia-graphics-drivers-570-server 570.133.20

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:16:07 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:39:18 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.20.04.5) focal; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:50:52 +0100
