=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
- libnvidia-egl-wayland1,
  libc6,
  libx11-6,
  python3,
@@ -32,10 +31,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.124.06-1),
- nvidia-dkms-570-server (>= 570.124.06),
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-dkms-570-server (<= 570.133.20-1),
+ nvidia-dkms-570-server (>= 570.133.20),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -93,11 +92,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.124.06-1),
- nvidia-kernel-source-570-server (>= 570.124.06),
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
- nvidia-firmware-570-server-570.124.06,
+ nvidia-kernel-source-570-server (<= 570.133.20-1),
+ nvidia-kernel-source-570-server (>= 570.133.20),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
+ nvidia-firmware-570-server-570.133.20,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +182,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.124.06-1),
- nvidia-kernel-common-570-server (>= 570.124.06),
+ nvidia-kernel-common-570-server (<= 570.133.20-1),
+ nvidia-kernel-common-570-server (>= 570.133.20),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -221,7 +220,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.124.06
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.133.20
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +231,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.124.06
+Package: nvidia-firmware-570-server-570.133.20
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.124.06
-Replaces:
- nvidia-firmware-570-570.124.06
+ nvidia-firmware-570-570.133.20
+Replaces:
+ nvidia-firmware-570-570.133.20
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -336,3 +335,4 @@
  libnvidia-fbc1,
 Replaces:
  libnvidia-fbc1,
+Description: NVIDIA OpenGL-based Framebuffer Capture runtime library
