## nvidia-graphics-drivers-570-server 570.148.08

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:19:59 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:13:44 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:37:35 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.24.10.4) oracular; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:48:04 +0100
