## nvidia-graphics-drivers-570-server 570.158.01

=== debian/changelog ===
nvidia-graphics-drivers-570-server (570.158.01-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.158.01 ERD5 (LP: #2114898)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 16:50:16 +0200

nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:21:47 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:15:19 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:38:29 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.22.04.4) jammy; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:49:57 +0100
