=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-570-server (= ${binary:Version}),
- nvidia-dkms-570-server (<= 570.148.08-1),
- nvidia-dkms-570-server (>= 570.148.08),
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
+ nvidia-dkms-570-server (<= 570.158.01-1),
+ nvidia-dkms-570-server (>= 570.158.01),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  libnvidia-extra-570-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-570-server (<= 570.148.08-1),
- nvidia-kernel-source-570-server (>= 570.148.08),
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
- nvidia-firmware-570-server-570.148.08,
+ nvidia-kernel-source-570-server (<= 570.158.01-1),
+ nvidia-kernel-source-570-server (>= 570.158.01),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
+ nvidia-firmware-570-server-570.158.01,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Package: nvidia-headless-no-dkms-570-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-570-server (<= 570.148.08-1),
- nvidia-kernel-common-570-server (>= 570.148.08),
+ nvidia-kernel-common-570-server (<= 570.158.01-1),
+ nvidia-kernel-common-570-server (>= 570.158.01),
  nvidia-kernel-source-570-server (= ${binary:Version}),
  libnvidia-compute-570-server (= ${binary:Version}),
  nvidia-compute-utils-570-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.148.08
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-570-server-570.158.01
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-570-server-570.148.08
+Package: nvidia-firmware-570-server-570.158.01
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-570-570.148.08
-Replaces:
- nvidia-firmware-570-570.148.08
+ nvidia-firmware-570-570.158.01
+Replaces:
+ nvidia-firmware-570-570.158.01
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
